Name:           perl-HTTP-Date
Version:        6.02
Release:        21
Summary:        Date conversion routines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/HTTP-Date
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/HTTP-Date-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(Exporter) perl(Time::Local) perl(vars) perl(Test)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Time::Zone)
Conflicts:      perl-libwww-perl < 6

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more). Only the first two functions, time2str() and
str2time(), are exported by default.

%package help
Summary:        Documentation for perl-HTTP-Date

%description help
Documentation for perl-HTTP-Date.

%prep
%autosetup -n HTTP-Date-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc Changes README
%{_mandir}/man3/*

%changelog
* Wed Oct 23 2019 Zaiwang Li <lizaiwang1@huawei.com> - 6.02-21
- Init Package.
